{% include 'color_map.j2' %}
{%- set color_map = {'STANDBY':'#8bc34a',
		  'ASSIGNING':'#40c4ff',
		  'SAFETYCHECK':'#ffeb3b',
		  'SAFETYERROR':'#d84315',
		  'RUNNING':'#2962ff',
		  'TANGO CONNECTION ERROR': ' #ff0033',
		  'CONNECTION ERROR': ' #ff0033',
		  'SAFETY ERROR': '#ff033',
		  'ERROR': '#ff033' }
%}
<ul style="padding-left:0" hx-get="/htmx_tsamis", hx-trigger="every 2s">
    {% for machine in context.machines -%}
    <li><div hx-get="/htmx_dot/{{machine.name}}" 
           hx-swapp="innerHTML"
	   hx-target="#dot_graph_image"
	   hx-trigger="click">
	   <span style="color:{{color_map[machine.status]}}"> 
	       {{machine.name}} 
	   </span> </div> 
    </li>
    {% endfor %}
</ul>
